package com.qmth.distributed.print.business.bean.result.report;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 报告是否发生变化result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/3/15
 */
public class ReportChangeResult implements Serializable {

    @ApiModelProperty(value = "课程目标是否发生变化")
    private boolean courseTargetChange;

    @ApiModelProperty(value = "评价方式是否发生变化")
    private boolean evaluationChange;

    @ApiModelProperty(value = "知识点是否发生变化")
    private boolean dimensionChange;

    @ApiModelProperty(value = "权重是否发生变化")
    private boolean weightChange;

    @ApiModelProperty(value = "目标分是否发生变化")
    private boolean targetScoreChange;

    @ApiModelProperty(value = "目标分内容")
    private String targetScoreChangeStr;

    public boolean isTargetScoreChange() {
        return targetScoreChange;
    }

    public void setTargetScoreChange(boolean targetScoreChange) {
        this.targetScoreChange = targetScoreChange;
    }

    public String getTargetScoreChangeStr() {
        return targetScoreChangeStr;
    }

    public void setTargetScoreChangeStr(String targetScoreChangeStr) {
        this.targetScoreChangeStr = targetScoreChangeStr;
    }

    public boolean isCourseTargetChange() {
        return courseTargetChange;
    }

    public void setCourseTargetChange(boolean courseTargetChange) {
        this.courseTargetChange = courseTargetChange;
    }

    public boolean isEvaluationChange() {
        return evaluationChange;
    }

    public void setEvaluationChange(boolean evaluationChange) {
        this.evaluationChange = evaluationChange;
    }

    public boolean isDimensionChange() {
        return dimensionChange;
    }

    public void setDimensionChange(boolean dimensionChange) {
        this.dimensionChange = dimensionChange;
    }

    public boolean isWeightChange() {
        return weightChange;
    }

    public void setWeightChange(boolean weightChange) {
        this.weightChange = weightChange;
    }
}
